package com.bpcl.lpg.core.service;

import com.bpcl.lpg.core.model.LPGConnectionModel;
import de.hybris.platform.servicelayer.exceptions.ModelNotFoundException;
import de.hybris.platform.servicelayer.exceptions.AmbiguousIdentifierException;
import java.util.Map;
import com.bpcl.lpg.facades.data.LpgResponseData;
import com.bpcl.core.model.BPCLCustomerModel;
import com.bpcl.lpg.core.pojo.RspResponseData;
import com.bpcl.core.customer.service.BpclCustomerService;

public interface LpgCustomerService extends BpclCustomerService
{
    BPCLCustomerModel createCustomer(final RspResponseData p0, final String p1);
    
    void createNewConnection(final LpgResponseData p0, final Map<String, String> p1);
    
    String getUserId();
    
    void updateCustomerIdForLoggedInUser(final String p0) throws AmbiguousIdentifierException;
    
    void updateCustomerIdForAnonymousUser(final String p0, final String p1);
    
    BPCLCustomerModel getCustomerByLpgId(final String p0) throws AmbiguousIdentifierException, ModelNotFoundException;
    
    BPCLCustomerModel getCustomerByConsumerDetails(final String p0, final String p1) throws AmbiguousIdentifierException, ModelNotFoundException;
    
    void updateDistCodeForCustomer(final String p0, final String p1);
    
    void createCustomerLPGConnection(final RspResponseData p0, final BPCLCustomerModel p1);
    
    void copyLPGAccount(final BPCLCustomerModel p0, final BPCLCustomerModel p1);
    
    void removeLPGAccount(final BPCLCustomerModel p0);
    
    LPGConnectionModel findLPGConnectionByLpgId(final String p0, final String p1);
}
